Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003327Doomseeker[All Projects] Bugpublic2017-11-04 14:412018-10-06 14:01
ReporterWubTheCaptain 
Assigned ToWubTheCaptain 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003327: Guyana country flag is missing
DescriptionI saw this in logs today:

[14:36:08] No flag for country: GUY


GUY is the ISO country code for Guyana.
Additional InformationIt's a Zandronum server today, that's as much as I know. I wasn't able to find it from the server browser.
Attached Filespng file icon GUY.png [^] (937 bytes) 2017-11-04 15:02


? file icon flag_template.GUY.xcf [^] (3,182 bytes) 2017-11-04 15:03
? file icon Flag_of_Guyana.svg [^] (406 bytes) 2017-11-04 15:05
patch file icon add-guyana-country-flag.patch [^] (1,024 bytes) 2017-11-04 15:15 [Show Content]
patch file icon add-guyana-country-flag-git.patch [^] (2,277 bytes) 2017-11-04 15:21 [Show Content]

- Relationships
child of 0003540closedWubTheCaptain Country flag changes are not mentioned in Doomseeker 1.2 changelog 

-  Notes
User avatar (0018766)
WubTheCaptain (developer)
2017-11-04 15:08

Attached GUY.png to be added to media/flags/ directory. Sources (XCF and SVG) attached.

All attachments are public domain. Flag by SKopp, cleaned up by Alkari.https://commons.wikimedia.org/wiki/File:Flag_of_Guyana.svg [^]

XCF modified from media/flags/flag_template.xcf.
User avatar (0018767)
WubTheCaptain (developer)
2017-11-04 15:19

GUY is already in tools/country_iso3.json, so add-guyana-country-flag.patch should do it (with GUY.png). I've tested and it works for me.
User avatar (0018768)
WubTheCaptain (developer)
2017-11-04 15:22

add-guyana-country-flag-git.patch for Git's extended format patch, binary bundled.
User avatar (0018772)
Zalewa (developer)
2017-11-04 16:58

I also see a country flag for BIH is missing.
User avatar (0018779)
WubTheCaptain (developer)
2017-11-05 03:14

Quote from Zalewa
I also see a country flag for BIH is missing.


Ticket 0003330.
User avatar (0018787)
Zalewa (developer)
2017-11-05 09:51

Merged it in as:https://bitbucket.org/Doomseeker/doomseeker/commits/c3da9250f5b09756923d879f96029549c400fcc3 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-11-04 14:41 WubTheCaptain New Issue
2017-11-04 15:02 WubTheCaptain File Added: GUY.png
2017-11-04 15:03 WubTheCaptain File Added: flag_template.GUY.xcf
2017-11-04 15:03 WubTheCaptain Assigned To => WubTheCaptain
2017-11-04 15:03 WubTheCaptain Status new => needs review
2017-11-04 15:03 WubTheCaptain Target Version => 1.2
2017-11-04 15:05 WubTheCaptain File Added: Flag_of_Guyana.svg
2017-11-04 15:08 WubTheCaptain Note Added: 0018766
2017-11-04 15:11 WubTheCaptain Status needs review => assigned
2017-11-04 15:15 WubTheCaptain File Added: add-guyana-country-flag.patch
2017-11-04 15:19 WubTheCaptain Note Added: 0018767
2017-11-04 15:19 WubTheCaptain Status assigned => needs review
2017-11-04 15:21 WubTheCaptain File Added: add-guyana-country-flag-git.patch
2017-11-04 15:22 WubTheCaptain Note Added: 0018768
2017-11-04 16:58 Zalewa Note Added: 0018772
2017-11-05 03:14 WubTheCaptain Note Added: 0018779
2017-11-05 09:51 Zalewa Note Added: 0018787
2017-11-05 09:51 Zalewa Status needs review => resolved
2017-11-05 09:51 Zalewa Fixed in Version => 1.2
2017-11-05 09:51 Zalewa Resolution open => fixed
2018-10-06 14:01 WubTheCaptain Relationship added child of 0003540






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker